Bug 14942 - Fix possible fsp pointer deference.
Summary: Fix possible fsp pointer deference.
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.15.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-10 16:29 UTC by Pavel Fiipenský
Modified: 2022-01-19 15:28 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.15.next. (1.33 KB, patch)
2022-01-11 18:00 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Fiipenský 2022-01-10 16:29:13 UTC
'Unused' pointer fsp is set to NULL and could be de referenced later.
Comment 1 Pavel Fiipenský 2022-01-10 16:54:59 UTC
Fix will follow.
Comment 2 Samba QA Contact 2022-01-11 00:23:03 UTC
This bug was referenced in samba master:

46460025175e83fbb47a510e412d83b1b2573db9
Comment 3 Jeremy Allison 2022-01-11 18:00:06 UTC
Created attachment 17079 [details]
git-am fix for 4.15.next.

Cherry-picked from master.
Comment 4 Andreas Schneider 2022-01-12 11:36:59 UTC
Comment on attachment 17079 [details]
git-am fix for 4.15.next.

LGTM
Comment 5 Andreas Schneider 2022-01-12 11:37:28 UTC
Jule, please apply the patch to the next 4.15 release. Thanks!
Comment 6 Jule Anger 2022-01-12 13:37:45 UTC
Pushed to autobuild-v4-15-test.
Comment 7 Samba QA Contact 2022-01-12 14:27:04 UTC
This bug was referenced in samba v4-15-test:

671dee2bd7dce22835aff1920759ea726e381dc7
Comment 8 Jule Anger 2022-01-12 16:44:47 UTC
Closing out bug report.

Thanks!
Comment 9 Samba QA Contact 2022-01-19 15:28:51 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.4):

671dee2bd7dce22835aff1920759ea726e381dc7